## InfTextDefaultBuffer InfTextDefaultBuffer |

## Functions

InfTextDefaultBuffer * | inf_text_default_buffer_new ()

## Properties

gchar * | encoding | Read / Write / Construct Only

## Types and Values

struct | InfTextDefaultBuffer
struct | InfTextDefaultBufferClass

## Object Hierarchy

        GObject
        ╰── InfTextDefaultBuffer

## Implemented Interfaces

InfTextDefaultBuffer implements InfBuffer and InfTextBuffer.

## Description

## Functions

### inf_text_default_buffer_new ()

    InfTextDefaultBuffer *
    inf_text_default_buffer_new (const gchar *encoding);

Creates a new, empty InfTextDefaultBuffer.

[constructor]

#### Parameters

encoding | The character encoding to use for the buffer. |

#### Returns

A InfTextDefaultBuffer.

[transfer full]

## Types and Values

### struct InfTextDefaultBuffer

    struct InfTextDefaultBuffer;

### struct InfTextDefaultBufferClass

    struct InfTextDefaultBufferClass {
      GObjectClass parent_class;
    };

## Property Details

### The `“encoding”` property

      “encoding”                 gchar *

The character encoding of the text buffer.

Flags: Read / Write / Construct Only

Default value: NULL